> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change job status

> Change the status of a job



## OpenAPI

````yaml put /v1.0/{company_id}/jobs/{job_id}/status
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/jobs/{job_id}/status:
    put:
      tags:
        - Jobs
      operationId: Jobs_ChangeJobStatus
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 2
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateJobStatusRequest'
        required: true
        x-position: 3
      responses:
        '204':
          description: ''
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    UpdateJobStatusRequest:
      type: object
      additionalProperties: false
      properties:
        status:
          $ref: '#/components/schemas/JobStatuses'
    ProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    JobStatuses:
      type: string
      description: ''
      x-enumNames:
        - Drafted
        - Published
        - Closed
        - Internal
      enum:
        - drafted
        - published
        - closed
        - internal
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````